Bug 1570282 - Portreserve does neither handle TCP ports nor multiline ports as documented
Summary: Portreserve does neither handle TCP ports nor multiline ports as documented
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: portreserve
Version: 7.5
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Tim Waugh
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 1570283
TreeView+ depends on / blocked
 
Reported: 2018-04-21 13:52 UTC by Robert Scheck
Modified: 2020-11-11 21:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-11 21:39:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Robert Scheck 2018-04-21 13:52:36 UTC
Description of problem:
The documentation ("man portreserve") says: "UDP services may be specified
by appending "/udp" to the service name, and TCP services by "/tcp". Several
services may be specified, one per line.". So, let's try:

1. echo imaps/udp > /etc/portreserve/dovecot
2. systemctl restart portreserve.service
3. netstat -alpen | grep :993 | wc -l  # Outputs "1" -> works

4. echo 993/udp > /etc/portreserve/dovecot
5. systemctl restart portreserve.service
6. netstat -alpen | grep :993 | wc -l  # Outputs "1" -> works

7. echo imaps/tcp > /etc/portreserve/dovecot
8. systemctl restart portreserve.service
9. netstat -alpen | grep :993 | wc -l  # Outputs "0" -> doesn't work!

10. echo 993/tcp > /etc/portreserve/dovecot
11. systemctl restart portreserve.service
12. netstat -alpen | grep :993 | wc -l  # Outputs "0" -> doesn't work!

13. echo imaps/tcp > /etc/portreserve/dovecot
14. echo pop3s/tcp >> /etc/portreserve/dovecot
15. systemctl restart portreserve.service
16. netstat -alpen | grep :99 | wc -l  # Outputs "0" -> doesn't work!

17. echo 993/tcp > /etc/portreserve/dovecot
18. echo 995/tcp >> /etc/portreserve/dovecot
19. systemctl restart portreserve.service
20. netstat -alpen | grep :99 | wc -l  # Outputs "0" -> doesn't work!

Note that I would prefer using port number rather service name myself, but
neither nor works with TCP as it seems.

Version-Release number of selected component (if applicable):
portreserve-0.0.5-11.el7.x86_64

How reproducible:
See above.

Actual results:
Portreserve does neither handle TCP ports nor multiline ports as documented.

Expected results:
Portreserve should handle TCP ports and multiline ports as documented.

Comment 2 Robert Scheck 2019-03-22 12:53:10 UTC
Cross-filed case 02344537 in the Red Hat customer portal.

Comment 4 Lukáš Nykrýn 2019-06-26 08:41:01 UTC
I don't think there is a bug. Portreserve only calls bind on that socket and not listen. Which means that the socket will not appear in netstat but effectively it is "reserved".

[root@ci-vm-10-0-137-101 ~]# cat /etc/portreserve/dovecot
imaps/tcp
[root@ci-vm-10-0-137-101 ~]# systemctl restart portreserve.service
[root@ci-vm-10-0-137-101 ~]# netstat -alpen | grep :993 | wc -l  # Outputs "0" -> doesn't work!
0
[root@ci-vm-10-0-137-101 ~]# nc -l 993
Ncat: bind to 0.0.0.0:993: Address already in use. QUITTING.

Comment 5 Robert Scheck 2019-07-05 16:10:27 UTC
Lukáš, yes you're indeed right. Can you close this bug, please?

Comment 7 Chris Williams 2020-11-11 21:39:43 UTC
Red Hat Enterprise Linux 7 shipped it's final minor release on September 29th, 2020. 7.9 was the last minor releases scheduled for RHEL 7.
From intial triage it does not appear the remaining Bugzillas meet the inclusion criteria for Maintenance Phase 2 and will now be closed. 

From the RHEL life cycle page:
https://access.redhat.com/support/policy/updates/errata#Maintenance_Support_2_Phase
"During Maintenance Support 2 Phase for Red Hat Enterprise Linux version 7,Red Hat defined Critical and Important impact Security Advisories (RHSAs) and selected (at Red Hat discretion) Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available."

If this BZ was closed in error and meets the above criteria please re-open it flag for 7.9.z, provide suitable business and technical justifications, and follow the process for Accelerated Fixes:
https://source.redhat.com/groups/public/pnt-cxno/pnt_customer_experience_and_operations_wiki/support_delivery_accelerated_fix_release_handbook  

Feature Requests can re-opened and moved to RHEL 8 if the desired functionality is not already present in the product. 

Please reach out to the applicable Product Experience Engineer[0] if you have any questions or concerns.  

[0] https://bugzilla.redhat.com/page.cgi?id=agile_component_mapping.html&product=Red+Hat+Enterprise+Linux+7


Note You need to log in before you can comment on or make changes to this bug.